import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
import { WsApiAction, WsApiRequest, WsApiResponse } from '../types';
import { WsApiRouteHandler } from '../types/WsApiRouteHandler';
export declare class WsApi {
    private readonly routeHandlers;
    addRouteHandler<Action extends WsApiAction, Request extends WsApiRequest, Response extends WsApiResponse>(routeHandler: WsApiRouteHandler<Action, Request, Response>): this;
    handleRequest(event: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
}
//# sourceMappingURL=WsApi.d.ts.map